> For a complete page index, fetch https://developer.close.com/llms.txt # Create a new Contact Custom Field POST https://api.close.com/api/v1/custom_field/contact/ Content-Type: application/json Reference: https://developer.close.com/api/resources/custom-fields/custom-fields-contact/create ## Authentication - `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty. - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Body (application/json) This endpoint expects an any. - `any` ## Response ### 200 Successful response ## Errors ### 400 Bad Request Error Bad request - `any` ### 401 Unauthorized Error Unauthorized - `any` ### 404 Not Found Error Not found - `any` ## Examples **Request** ```json { "choices": [ "Account Executive", "CEO", "Sales Rep" ], "description": "What's this Contact's role within their organization", "name": "Role", "type": "choices" } ``` **Response** ```json { "accepts_multiple_values": false, "choices": [ "Account Executive", "CEO", "Sales Rep" ], "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "date_created": "2020-02-07T11:54:50.770000+00:00", "date_updated": "2020-02-07T11:54:50.770000+00:00", "description": "What's this Contact's role within their organization", "editable_with_roles": [], "id": "cf_j0P7kHmgFTZZnYBFtyPSZ3uQw4dpW8xKcW7Krps8atj", "name": "Role", "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH", "type": "choices", "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA" } ``` **SDK Code** ```python import requests url = "https://api.close.com/api/v1/custom_field/contact/" payload = { "choices": ["Account Executive", "CEO", "Sales Rep"], "description": "What's this Contact's role within their organization", "name": "Role", "type": "choices" } headers = { "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers, auth=("", "")) print(response.json()) ``` ```javascript const url = 'https://api.close.com/api/v1/custom_field/contact/'; const credentials = btoa(":"); const options = { method: 'POST', headers: {Authorization: `Basic ${credentials}`, 'Content-Type': 'application/json'}, body: '{"choices":["Account Executive","CEO","Sales Rep"],"description":"What\'s this Contact\'s role within their organization","name":"Role","type":"choices"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.close.com/api/v1/custom_field/contact/" payload := strings.NewReader("{\n \"choices\": [\n \"Account Executive\",\n \"CEO\",\n \"Sales Rep\"\n ],\n \"description\": \"What's this Contact's role within their organization\",\n \"name\": \"Role\",\n \"type\": \"choices\"\n}") req, _ := http.NewRequest("POST", url, payload) req.SetBasicAuth("", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.close.com/api/v1/custom_field/contact/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request.basic_auth("", "") request["Content-Type"] = 'application/json' request.body = "{\n \"choices\": [\n \"Account Executive\",\n \"CEO\",\n \"Sales Rep\"\n ],\n \"description\": \"What's this Contact's role within their organization\",\n \"name\": \"Role\",\n \"type\": \"choices\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.close.com/api/v1/custom_field/contact/") .basicAuth("", "") .header("Content-Type", "application/json") .body("{\n \"choices\": [\n \"Account Executive\",\n \"CEO\",\n \"Sales Rep\"\n ],\n \"description\": \"What's this Contact's role within their organization\",\n \"name\": \"Role\",\n \"type\": \"choices\"\n}") .asString(); ``` ```php request('POST', 'https://api.close.com/api/v1/custom_field/contact/', [ 'body' => '{ "choices": [ "Account Executive", "CEO", "Sales Rep" ], "description": "What\'s this Contact\'s role within their organization", "name": "Role", "type": "choices" }', 'headers' => [ 'Content-Type' => 'application/json', ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://api.close.com/api/v1/custom_field/contact/"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"choices\": [\n \"Account Executive\",\n \"CEO\",\n \"Sales Rep\"\n ],\n \"description\": \"What's this Contact's role within their organization\",\n \"name\": \"Role\",\n \"type\": \"choices\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ```